Package com.sun.jna.platform.win32

# Class LMJoin.NETSETUP_JOIN_STATUS

java.lang.Object
com.sun.jna.platform.win32.LMJoin.NETSETUP_JOIN_STATUS

Enclosing interface:
  LMJoin

public abstract static class LMJoin.NETSETUP_JOIN_STATUS extends Object
Status of a workstation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `NetSetupDomainName`
  `static final int`
  `NetSetupUnjoined`
  `static final int`
  `NetSetupUnknownStatus`
  `static final int`
  `NetSetupWorkgroupName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NETSETUP_JOIN_STATUS()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NetSetupUnknownStatus

    public static final int NetSetupUnknownStatus
    See Also:
      - Constant Field Values

  - ### NetSetupUnjoined

    public static final int NetSetupUnjoined
    See Also:
      - Constant Field Values

  - ### NetSetupWorkgroupName

    public static final int NetSetupWorkgroupName
    See Also:
      - Constant Field Values

  - ### NetSetupDomainName

    public static final int NetSetupDomainName
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NETSETUP_JOIN_STATUS

    public NETSETUP_JOIN_STATUS()